Part Box/zh-cn: Difference between revisions

From FreeCAD Documentation
(Created page with "您可以访问并修改立方体对象的属性。例如,利用下列代码即可修改长度、宽度与高度参数。")
(Updating to match new version of source page)
 
(15 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav||[[Part_Cone|Cone]]|[[Part_Module|Part]]|IconL=|IconC=Workbench_Part.svg|IconR=Part_Cone.png}}


{{Docnav
{{GuiCommand|Name=Part Box|MenuLocation=Part → Primitives → Cube||Workbenches=[[Part Module|Part]]|SeeAlso=[[Part_CreatePrimitives|Part CreatePrimitives]]}}
|
|[[Part_Cylinder|Cylinder]]
|[[Part_Workbench|Part]]
|IconL=
|IconR=Part_Cylinder.svg
|IconC=Workbench_Part.svg
}}

{{GuiCommand
|Name=Part Box
|MenuLocation=Part → Primitives → Cube
|Workbenches=[[Part_Workbench|Part]]
|SeeAlso=[[Part_Primitives|Part Primitives]]
}}

== Description ==


<div class="mw-translate-fuzzy">
==概述==
==概述==
利用[[Part_Workbench|零件工作台(Part Workbench)]]中的立方体命令可向处于活动状态的文档中插入一个参数化 [http://en.wikipedia.org/wiki/Cuboid#Rectangular_cuboid 长方体]几何图元。默认情况下,此立方体命令会在原点处插入一个10x10x10 mm且附有"cube"标签的立方体。在添加立方体对象后还可以修改这些参数。
利用[[Part_Workbench|零件工作台(Part Workbench)]]中的立方体命令可向处于活动状态的文档中插入一个参数化 [http://en.wikipedia.org/wiki/Cuboid#Rectangular_cuboid 长方体]几何图元。默认情况下,此立方体命令会在原点处插入一个10x10x10 mm且附有"cube"标签的立方体。在添加立方体对象后还可以修改这些参数。
</div>


[[Image:Part_Box.jpg|400px|在零件工作台中创建的立方体]]
[[Image:Part_Box_Example.png|400px]]


==如何使用==
== Usage ==
* 在零件工作台中点选立方体图标{{KEY|[[Image:Part Box.png|30px]]}}。
* 或者,您也可以从菜单栏中选择{{MenuCommand|Part → Primitives → Cube}}。


# There are several ways to invoke the command:
==选项==
#* Press the {{Button|[[Image:Part_Box.svg|16px]] [[Part_Box|Part Box]]}} button.
* 通过[[Property_editor | 属性编辑器]]:
#* Select the {{MenuCommand|Part → Primitives → [[Image:Part_Box.svg|16px]] Cube}} option from the menu.
** '''Length:''' 为您的立方体设置长度(默认值为10 mm)。
# The box is created.
** '''Width:''' 为您的立方体设置宽度(默认值为10 mm)。
# Optionally change the dimensions and {{PropertyData|Placement}} of the box by doing one of the following:
** '''Height:''' 为您的立方体设置高度(默认值为10 mm)。
#* Double-click the object in the [[Tree_view|Tree view]]:
** '''Placement:''' 指定立方体在3D空间中的朝向与位置。参见[[Placement | 方位]]。参考点为立方体前侧左下角的那个点。
#*# The {{MenuCommand|Geometric Primitives}} task panel opens.
** '''Label:''' 此标签记有为此对象起的名字。您可按自己的需求更改此名。
#*# Change one or more properties.
#*# The object is dynamically updated in the [[3D_view|3D view]].
#*# Press the {{Button|OK}} button.
#* Change the properties in the [[Property_editor|Property editor]].
#* Change the {{PropertyData|Placement}} with the [[Image:Std_TransformManip.svg|16px]] [[Std_TransformManip|Std TransformManip]] command.


==属性==
== Example ==
{{Properties_Title|Base}}
*{{PropertyData|Placement}}: 指定立方体在3D空间中的朝向与位置。可参考[[Placement | 朝向]]。立方体前侧左下角角点即为参照点。
*{{PropertyData|Label}}: 为对应立方体对象指定的标签。可按需修改。


[[Image:Part_Box_Scripting_Example.png|thumb|Part Box from the scripting example]]

A Part Box object created with the [[#Scripting|scripting example]] below is shown here.

== Notes ==

* A Part Box can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.

== Properties ==

See also: [[Property_editor|Property editor]].

A Part Box object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Box}}

<div class="mw-translate-fuzzy">
{{Properties_Title|Box}}
{{Properties_Title|Box}}
*{{PropertyData|Length}}: 此长度参数是立方体在x轴方向上的尺寸。
*{{PropertyData|Length}}: 此长度参数是立方体在x轴方向上的尺寸。
*{{PropertyData|Width}}: 此宽度参数是立方体在y轴方向上的尺寸。
*{{PropertyData|Width}}: 此宽度参数是立方体在y轴方向上的尺寸。
*{{PropertyData|Height}}: 此高度参数是立方体在z轴方向上的尺寸。
*{{PropertyData|Height}}: 此高度参数是立方体在z轴方向上的尺寸。
</div>


== Scripting ==
[[Image:Part_Box-Properties.jpg|零件工作台中立方体的属性]]


See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

<div class="mw-translate-fuzzy">
==脚本==
==脚本==
通过下列函数即可在[[macros|宏]]以及python控制台中使用立方体命令:
通过下列函数即可在[[macros|宏]]以及python控制台中使用立方体命令:
</div>

{{Code|code=
{{Code|code=
FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
}}
}}

<div class="mw-translate-fuzzy">
* 其中的"myBox"为立方体对象的标签。
* 其中的"myBox"为立方体对象的标签。
* 这段代码会返回一个新创建的立方体类型对象。
* 这段代码会返回一个新创建的立方体类型对象。
</div>


Example:
您可以访问并修改立方体对象的属性。例如,利用下列代码即可修改长度、宽度与高度参数。
{{Code|code=
FreeCAD.ActiveDocument.myBox.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30
}}


You can change its placement with:
{{Code|code=
{{Code|code=
import FreeCAD as App
FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))
}}


doc = App.activeDocument()
==FreeCAD - Version==


box = doc.addObject("Part::Box", "myBox")
box.Length = 4
box.Width = 8
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))


doc.recompute()
*{{Version|0.14}}
}}
Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".


{{Docnav||[[Part_Cone|Cone]]|[[Part_Module|Part]]|IconL=|IconC=Workbench_Part.svg|IconR=Part_Cone.png}}


{{Docnav
{{Part Tools navi}}
|
|[[Part_Cylinder|Cylinder]]
|[[Part_Workbench|Part]]
|IconL=
|IconR=Part_Cylinder.svg
|IconC=Workbench_Part.svg
}}


{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 09:01, 4 March 2022

Part Box

Menu location
Part → Primitives → Cube
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

概述

利用零件工作台(Part Workbench)中的立方体命令可向处于活动状态的文档中插入一个参数化 长方体几何图元。默认情况下,此立方体命令会在原点处插入一个10x10x10 mm且附有"cube"标签的立方体。在添加立方体对象后还可以修改这些参数。

Usage

  1. There are several ways to invoke the command:
    • Press the Part Box button.
    • Select the Part → Primitives → Cube option from the menu.
  2. The box is created.
  3. Optionally change the dimensions and 数据Placement of the box by doing one of the following:
    • Double-click the object in the Tree view:
      1. The Geometric Primitives task panel opens.
      2. Change one or more properties.
      3. The object is dynamically updated in the 3D view.
      4. Press the OK button.
    • Change the properties in the Property editor.
    • Change the 数据Placement with the Std TransformManip command.

Example

Part Box from the scripting example

A Part Box object created with the scripting example below is shown here.

Notes

  • A Part Box can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Properties

See also: Property editor.

A Part Box object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Box

Box

  • 数据Length: 此长度参数是立方体在x轴方向上的尺寸。
  • 数据Width: 此宽度参数是立方体在y轴方向上的尺寸。
  • 数据Height: 此高度参数是立方体在z轴方向上的尺寸。

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

脚本

通过下列函数即可在以及python控制台中使用立方体命令:

box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • 其中的"myBox"为立方体对象的标签。
  • 这段代码会返回一个新创建的立方体类型对象。

Example:

import FreeCAD as App

doc = App.activeDocument()

box = doc.addObject("Part::Box", "myBox")
box.Length = 4
box.Width = 8
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()